commit:     6655aaf131648a264e4684fe14d5c99bd7a85630
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  8 02:55:40 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Sep  8 05:01:46 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6655aaf1

app-backup/duply: add 2.5.6

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-backup/duply/Manifest           |  1 +
 app-backup/duply/duply-2.5.6.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/app-backup/duply/Manifest b/app-backup/duply/Manifest
index 671b1f6fca81..550cafbcb881 100644
--- a/app-backup/duply/Manifest
+++ b/app-backup/duply/Manifest
@@ -1,2 +1,3 @@
 DIST duply_2.5.2.tgz 54034 BLAKE2B 
918553c620a3fcf7b1b52b3ebfac1bdd94da75bdbb55f1f1489a52952d2e514066670577642ef06fd4c1420a9c0b2a3c6faca1dc82b7d6b55c8173ee46bfc1f4
 SHA512 
79c2260fcfe9d0282c96bb0b7a11ac3f29f836bfb799665d4d7ac5c3682743f17b650a056a5e3b755a316aa971727e610cc0b68d06190271a33c9030c3d2fa53
 DIST duply_2.5.5.tgz 55049 BLAKE2B 
a03320b255e49d042c4a28835238bed031750bffec24c650733388f26b0e73affac64c06ecbc1c2615f5b928696b1a2b9b720676ee454f6f3be7865dc8e9d3f3
 SHA512 
f04d12ca3421e39531c2f2713ea1ad8d24916f35f6acae1d597963d7664056b5970404c9c186682f4e9c00a42846d147f12eb45541c236d965dddf8597838f48
+DIST duply_2.5.6.tgz 55250 BLAKE2B 
0391f68b8f722cfeed194dfc5aeabe381d77633c3088f8e33f71d06b9b6e315bc54a9a17c87d395789f36523a2e6f781caf5778eeead3bcbb5a5f2592e51c9a8
 SHA512 
3efe0cf2d505e7e2dbfaeac648ec1e2aaf26fd119a2cbbbdc3a5170d66165a45da594b27dc4fd9ca68b5c4ed7d7f631159ec9c339b86fdaf1bdbe3bad13bade4

diff --git a/app-backup/duply/duply-2.5.6.ebuild 
b/app-backup/duply/duply-2.5.6.ebuild
new file mode 100644
index 000000000000..16a9512187a2
--- /dev/null
+++ b/app-backup/duply/duply-2.5.6.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Shell frontend for duplicity"
+HOMEPAGE="https://duply.net";
+SRC_URI="https://downloads.sourceforge.net/project/ftplicity/${PN}%20%28simple%20duplicity%29/$(ver_cut
 1-2).x/${PN}_${PV}.tgz"
+S="${WORKDIR}/${PN}_${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="app-text/txt2man"
+RDEPEND="app-backup/duplicity"
+
+src_install() {
+       dobin ${PN}
+       ./${PN} txt2man > ${PN}.1 || die
+       doman ${PN}.1
+       dodoc CHANGELOG.txt
+}

Reply via email to